require 'rails_helper'

RSpec.describe "settings/menu_item_attributes/edit", type: :view do
  before(:each) do
    @settings_menu_item_attribute = assign(:settings_menu_item_attribute, Settings::MenuItemAttribute.create!(
      :attribute_type => "MyString",
      :name => "MyString",
      :value => "MyString"
    ))
  end

  it "renders the edit settings_menu_item_attribute form" do
    render

    assert_select "form[action=?][method=?]", settings_menu_item_attribute_path(@settings_menu_item_attribute), "post" do

      assert_select "input#settings_menu_item_attribute_attribute_type[name=?]", "settings_menu_item_attribute[attribute_type]"

      assert_select "input#settings_menu_item_attribute_name[name=?]", "settings_menu_item_attribute[name]"

      assert_select "input#settings_menu_item_attribute_value[name=?]", "settings_menu_item_attribute[value]"
    end
  end
end
